---
title: Get an archive
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Logs Archives
---

# Get an archive{% #get-an-archive %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                                               |
| ----------------- | -------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/logs/config/archives/{archive_id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/logs/config/archives/{archive_id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/logs/config/archives/{archive_id}      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/logs/config/archives/{archive_id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/logs/config/archives/{archive_id}  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/logs/config/archives/{archive_id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/logs/config/archives/{archive_id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/logs/config/archives/{archive_id} |

### Overview

Get a specific archive from your organization. This endpoint requires the `logs_read_archives` permission.

### Arguments

#### Path Parameters

| Name                         | Type   | Description            |
| ---------------------------- | ------ | ---------------------- |
| archive_id [*required*] | string | The ID of the archive. |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
The logs archive.

| Parent field | Field                             | Type                | Description                                                                                                                                      |
| ------------ | --------------------------------- | ------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------ |
|              | data                              | object              | The definition of an archive.                                                                                                                    |
| data         | attributes                        | object              | The attributes associated with the archive.                                                                                                      |
| attributes   | compression_method                | enum                | The type of compression for the archive. Allowed enum values: `GZIP,ZSTD`                                                                        |
| attributes   | destination [*required*]     | object <oneOf> | An archive's destination.                                                                                                                        |
| destination  | Option 1                          | object              | The Azure archive destination.                                                                                                                   |
| Option 1     | container [*required*]       | string              | The container where the archive will be stored.                                                                                                  |
| Option 1     | integration [*required*]     | object              | The Azure archive's integration destination.                                                                                                     |
| integration  | client_id [*required*]       | string              | A client ID.                                                                                                                                     |
| integration  | tenant_id [*required*]       | string              | A tenant ID.                                                                                                                                     |
| Option 1     | path                              | string              | The archive path.                                                                                                                                |
| Option 1     | region                            | string              | The region where the archive will be stored.                                                                                                     |
| Option 1     | storage_account [*required*] | string              | The associated storage account.                                                                                                                  |
| Option 1     | type [*required*]            | enum                | Type of the Azure archive destination. Allowed enum values: `azure`                                                                              |
| destination  | Option 2                          | object              | The GCS archive destination.                                                                                                                     |
| Option 2     | bucket [*required*]          | string              | The bucket where the archive will be stored.                                                                                                     |
| Option 2     | integration [*required*]     | object              | The GCS archive's integration destination.                                                                                                       |
| integration  | client_email [*required*]    | string              | A client email.                                                                                                                                  |
| integration  | project_id                        | string              | A project ID.                                                                                                                                    |
| Option 2     | path                              | string              | The archive path.                                                                                                                                |
| Option 2     | type [*required*]            | enum                | Type of the GCS archive destination. Allowed enum values: `gcs`                                                                                  |
| destination  | Option 3                          | object              | The S3 archive destination.                                                                                                                      |
| Option 3     | bucket [*required*]          | string              | The bucket where the archive will be stored.                                                                                                     |
| Option 3     | encryption                        | object              | The S3 encryption settings.                                                                                                                      |
| encryption   | key                               | string              | An Amazon Resource Name (ARN) used to identify an AWS KMS key.                                                                                   |
| encryption   | type [*required*]            | enum                | Type of S3 encryption for a destination. Allowed enum values: `NO_OVERRIDE,SSE_S3,SSE_KMS`                                                       |
| Option 3     | integration [*required*]     | object              | The S3 Archive's integration destination.                                                                                                        |
| integration  | account_id [*required*]      | string              | The account ID for the integration.                                                                                                              |
| integration  | role_name [*required*]       | string              | The path of the integration.                                                                                                                     |
| Option 3     | path                              | string              | The archive path.                                                                                                                                |
| Option 3     | storage_class                     | enum                | The storage class where the archive will be stored. Allowed enum values: `STANDARD,STANDARD_IA,ONEZONE_IA,INTELLIGENT_TIERING,GLACIER_IR`        |
| Option 3     | type [*required*]            | enum                | Type of the S3 archive destination. Allowed enum values: `s3`                                                                                    |
| attributes   | include_tags                      | boolean             | To store the tags in the archive, set the value "true". If it is set to "false", the tags will be deleted when the logs are sent to the archive. |
| attributes   | lookup_attributes                 | [string]            | An array of attributes to use as lookup keys for the archive.                                                                                    |
| attributes   | name [*required*]            | string              | The archive name.                                                                                                                                |
| attributes   | partitioning_attributes           | [string]            | An array of attributes to use as partition keys for the archive. The attribute used most frequently for querying should be first.                |
| attributes   | query [*required*]           | string              | The archive query/filter. Logs matching this query are included in the archive.                                                                  |
| attributes   | rehydration_max_scan_size_in_gb   | int64               | Maximum scan size for rehydration from this archive.                                                                                             |
| attributes   | rehydration_tags                  | [string]            | An array of tags to add to rehydrated logs from an archive.                                                                                      |
| attributes   | state                             | enum                | The state of the archive. Allowed enum values: `UNKNOWN,WORKING,FAILING,WORKING_AUTH_LEGACY`                                                     |
| data         | id                                | string              | The archive ID.                                                                                                                                  |
| data         | type [*required*]            | string              | The type of the resource. The value should always be archives.                                                                                   |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "compression_method": "GZIP",
      "destination": {
        "container": "container-name",
        "integration": {
          "client_id": "aaaaaaaa-1a1a-1a1a-1a1a-aaaaaaaaaaaa",
          "tenant_id": "aaaaaaaa-1a1a-1a1a-1a1a-aaaaaaaaaaaa"
        },
        "path": "string",
        "region": "string",
        "storage_account": "account-name",
        "type": "azure"
      },
      "include_tags": false,
      "lookup_attributes": [
        "trace_id",
        "user_id"
      ],
      "name": "Nginx Archive",
      "partitioning_attributes": [
        "service",
        "status"
      ],
      "query": "source:nginx",
      "rehydration_max_scan_size_in_gb": 100,
      "rehydration_tags": [
        "team:intake",
        "team:app"
      ],
      "state": "WORKING"
    },
    "id": "a2zcMylnM4OCHpYusxIi3g",
    "type": "archives"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parameters export archive_id="CHANGE_ME" \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/logs/config/archives/${archive_id}" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
##### 

```python
"""
Get an archive returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.logs_archives_api import LogsArchivesApi

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = LogsArchivesApi(api_client)
    response = api_instance.get_logs_archive(
        archive_id="archive_id",
    )

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" python3 "example.py"
##### 

```ruby
# Get an archive returns "OK" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::LogsArchivesAPI.new
p api_instance.get_logs_archive("archive_id")
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" rb "example.rb"
##### 

```go
// Get an archive returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewLogsArchivesApi(apiClient)
	resp, r, err := api.GetLogsArchive(ctx, "archive_id")

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `LogsArchivesApi.GetLogsArchive`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `LogsArchivesApi.GetLogsArchive`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" go run "main.go"
##### 

```java
// Get an archive returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.LogsArchivesApi;
import com.datadog.api.client.v2.model.LogsArchive;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    LogsArchivesApi apiInstance = new LogsArchivesApi(defaultClient);

    try {
      LogsArchive result = apiInstance.getLogsArchive("archive_id");
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling LogsArchivesApi#getLogsArchive");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" java "Example.java"
##### 

```rust
// Get an archive returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_logs_archives::LogsArchivesAPI;

#[tokio::main]
async fn main() {
    let configuration = datadog::Configuration::new();
    let api = LogsArchivesAPI::with_config(configuration);
    let resp = api.get_logs_archive("archive_id".to_string()).await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
##### 

```typescript
/**
 * Get an archive returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.LogsArchivesApi(configuration);

const params: v2.LogsArchivesApiGetLogsArchiveRequest = {
  archiveId: "archive_id",
};

apiInstance
  .getLogsArchive(params)
  .then((data: v2.LogsArchive) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" tsc "example.ts"
{% /tab %}
